Skip to main content
Get Sweeping VRP Consent Details
curl --request GET \
  --url https://api.yapily.com/variable-recurring-payments/sweeping/consents/{consentId} \
  --header 'Authorization: Basic <encoded-value>'
{
  "meta": {
    "tracingId": "679e7bb6cd45416a9a9a8d004c5315da"
  },
  "data": {
    "id": "56a42244-414a-4b52-8c4f-4ad2a50e82fe",
    "userUuid": "ca412fdf-5a30-43a2-88b7-5964a24a8e55",
    "applicationUserId": "string",
    "institutionId": "modelo-sandbox",
    "status": "AUTHORIZED",
    "createdAt": "2021-06-08T10:59:35.138Z",
    "featureScope": [
      "EXISTING_PAYMENTS_DETAILS",
      "EXISTING_PAYMENT_INITIATION_DETAILS",
      "CREATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_SWEEPING",
      "VARIABLE_RECURRING_PAYMENT_FUNDS_CONFIRMATION",
      "INITIATE_DOMESTIC_VARIABLE_RECURRING_PAYMENT_SWEEPING"
    ],
    "consentToken": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzUxMiJ9.eyJJTlNUSVRVVElPTiI6Im1vZGVsby1zYW5kYm94IiwiQ09OU0VOVCI6IjU2YTQyMjQ0LTQxNGEtNGI1Mi04YzRmLTRhZDJhNTBlODJmZSIsIkFQUExJQ0FUSU9OX1VTRVJfSUQiOiJtb2ZlLTIiLCJVU0VSIjoiY2E0MTJmZGYtNWEzMC00M2EyLTg4YjctNTk2NGEyNGE4ZTU1In0.gorwpnUjSr5dzQJLR32M2geWOj7yK9xMsZmq27ssY9xP_xGmWfUL_aqVHYyQ4r5KWw6Xb6RjvO839st8chJLtg",
    "state": "a09f8ff9c1284444aa635267e05f76e1",
    "authorizedAt": "2021-06-08T10:59:53.288Z",
    "institutionConsentId": "aac-605d48f2-2a0e-4594-81a9-996524fa3b2a",
    "controlParameters": {
      "psuAuthenticationMethods": [
        "SCA_NOT_REQUIRED"
      ],
      "periodicLimits": [
        {
          "totalMaxAmount": {
            "amount": 100,
            "currency": "GBP"
          },
          "frequency": "DAILY",
          "alignment": "CONSENT"
        }
      ],
      "maxAmountPerPayment": {
        "amount": 10,
        "currency": "GBP"
      }
    },
    "payer": {
      "name": "John Doe",
      "accountIdentifications": [
        {
          "type": "ACCOUNT_NUMBER",
          "identification": "87654321"
        },
        {
          "type": "SORT_CODE",
          "identification": "654321"
        }
      ]
    },
    "initiationDetails": {
      "reference": "Own Account Sweeping",
      "payer": {
        "name": "John Doe",
        "accountIdentifications": [
          {
            "type": "ACCOUNT_NUMBER",
            "identification": "87654321"
          },
          {
            "type": "SORT_CODE",
            "identification": "654321"
          }
        ]
      },
      "payee": {
        "name": "John Doe",
        "accountIdentifications": [
          {
            "type": "ACCOUNT_NUMBER",
            "identification": "12345678"
          },
          {
            "type": "SORT_CODE",
            "identification": "123456"
          }
        ]
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.yapily.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.

Path Parameters

The Consent ID to retrieve.

Response

OK

meta
object
data
object
forwardedData
object[]
raw
object[]
deprecated